import * as vue from 'vue';
import { PropType, VNode } from 'vue';
import { SandpackThemeProp } from 'sandpack-vue3';

declare const _default: vue.DefineComponent<{
    /**
     * Sandpack title
     *
     * 演示标题
     */
    title: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Sandpack template
     *
     * 演示工程模板
     */
    template: {
        type: PropType<"vue" | "react" | "react-ts" | "vue2" | "vue2-ts" | "vue-ts" | "vue3" | "vue3-ts" | "vanilla" | "vanilla-ts" | "static" | "angular" | "svelte" | "solid" | "test-ts" | "node" | "nextjs" | "vite" | "vite-react" | "vite-react-ts" | "vite-preact" | "vite-preact-ts" | "vite-vue" | "vite-vue-ts" | "vite-svelte" | "vite-svelte-ts" | "vite-solid" | "vite-lit" | "astro">;
        default: string;
    };
    /**
     * Sandpack file data
     *
     * 演示文件数据
     */
    files: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Sandpack options
     *
     * 演示设置
     */
    options: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Sandpack customSetup
     *
     * 自定义设置
     */
    customSetup: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Theme
     *
     * 主题
     */
    theme: {
        type: PropType<SandpackThemeProp>;
        default: string;
    };
    /**
     * RTL layout
     *
     * RTL 布局
     */
    rtl: BooleanConstructor;
}, () => (VNode | null)[], unknown, {}, {}, vue.ComponentOptionsMixin, vue.ComponentOptionsMixin, {}, string, vue.PublicProps, Readonly<vue.ExtractPropTypes<{
    /**
     * Sandpack title
     *
     * 演示标题
     */
    title: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Sandpack template
     *
     * 演示工程模板
     */
    template: {
        type: PropType<"vue" | "react" | "react-ts" | "vue2" | "vue2-ts" | "vue-ts" | "vue3" | "vue3-ts" | "vanilla" | "vanilla-ts" | "static" | "angular" | "svelte" | "solid" | "test-ts" | "node" | "nextjs" | "vite" | "vite-react" | "vite-react-ts" | "vite-preact" | "vite-preact-ts" | "vite-vue" | "vite-vue-ts" | "vite-svelte" | "vite-svelte-ts" | "vite-solid" | "vite-lit" | "astro">;
        default: string;
    };
    /**
     * Sandpack file data
     *
     * 演示文件数据
     */
    files: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Sandpack options
     *
     * 演示设置
     */
    options: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Sandpack customSetup
     *
     * 自定义设置
     */
    customSetup: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Theme
     *
     * 主题
     */
    theme: {
        type: PropType<SandpackThemeProp>;
        default: string;
    };
    /**
     * RTL layout
     *
     * RTL 布局
     */
    rtl: BooleanConstructor;
}>>, {
    title: string;
    template: "vue" | "react" | "react-ts" | "vue2" | "vue2-ts" | "vue-ts" | "vue3" | "vue3-ts" | "vanilla" | "vanilla-ts" | "static" | "angular" | "svelte" | "solid" | "test-ts" | "node" | "nextjs" | "vite" | "vite-react" | "vite-react-ts" | "vite-preact" | "vite-preact-ts" | "vite-vue" | "vite-vue-ts" | "vite-svelte" | "vite-svelte-ts" | "vite-solid" | "vite-lit" | "astro";
    theme: SandpackThemeProp;
    rtl: boolean;
    options: string;
    customSetup: string;
}, {}>;

export { _default as default };
